<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="e9af782ccd2a9b4c">
        <source>Connecting</source>
        <target state="translated">连接操作</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3b1ab286a9dac65d">
        <source>Before messages can be exchanged, a websocket stream first needs to be connected, and then to have the websocket handshake performed. The stream delegates the task of establishing the connection to the next layers. For example, if the next layer is a connectible stream or socket object, it can be accessed to call the necessary function for connecting. Here we make an outbound connection as a client would do.</source>
        <target state="translated">在交换消息之前，WebSocket 流需要先建立连接，然后执行 WebSocket 握手。流将建立连接的任务委托给下一层。例如，如果下一层是可连接的流或套接字对象，可以通过访问它来调用必要的连接函数。以下示例展示客户端建立出站连接的过程。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3a4ae2aeb254cfdd">
        <source>To accept incoming connections, an acceptor is used. The websocket stream may be constructed from the socket returned by the acceptor when an incoming connection is established.</source>
        <target state="translated">要接受入站连接，需使用 Acceptor。当建立入站连接时，可由 Acceptor 返回的套接字来构造 WebSocket 流。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">21</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="25602ee9d574703e">
        <source>Alternatively, the incoming connection may be accepted directly into the socket owned by the websocket stream, using this overload of the acceptor member function.</source>
        <target state="translated">或者，入站连接可以直接接受至 WebSocket 流所拥有的套接字中，使用 Acceptor 成员函数的此重载版本即可实现。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">27</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
    </body>
  </file>
</xliff>
